=== tests/extern_impl/CMakeLists.txt ===
add_executable(test test.c impl.c types.h ../common.h ../common.c ../util.h)
