=== debian/changelog ===
interface99 (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2024 18:12:22 +0100
