=== examples/opaque_type/CMakeLists.txt ===
add_executable(frog main.c frog.h frog.c croak.h)
