=== debian/changelog ===
interface99 (1.0.2-1) unstable; urgency=medium

  * Import upstream version 1.0.2.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Oct 2025 22:02:01 +0200
