=== debian/control ===
Source: interface99
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmetalang99-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/Hirrolot/interface99
Vcs-Browser: https://salsa.debian.org/science-team/interface99
Vcs-Git: https://salsa.debian.org/science-team/interface99.git

Package: libinterface99-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libmetalang99-dev,
Description: Full-featured interfaces for C99
 Full-featured interfaces inspired by Rust and Golang. Multiple
 inheritance, superinterfaces, and default implementations
 supported. No external tools required, pure C99.
