=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -X.gitignore

execute_after_dh_auto_test:
	cmake -S tests -B testsbuild && make -C testsbuild
